| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEmptyDocumentNodeIterator Class Reference

Document node iterator does not return any nodes. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csEmptyDocumentNodeIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext ()
| Are there more elements?
virtual csRef< iDocumentNode > | Next ()
| Get next element.

## Detailed Description

Document node iterator does not return any nodes.

Definition at line 35 of file documentcommon.h.

## Member Function Documentation

virtual bool csEmptyDocumentNodeIterator::HasNext | ( |  | ) | `[inline, virtual]`

Are there more elements?

Implements iDocumentNodeIterator.

Definition at line 44 of file documentcommon.h.

virtual csRef<iDocumentNode> csEmptyDocumentNodeIterator::Next | ( |  | ) | `[inline, virtual]`

Get next element.

Implements iDocumentNodeIterator.

Definition at line 45 of file documentcommon.h.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h